<template>
  <h1>Grids</h1>

  <p>
    Use one of the provided helpers to quickly have a grid.
    Note that these grids are responsive and will change their layouts on smaller screens.
  </p>

  <template v-for="(cells, klass) in grids" :key="klass">
    <h3><code>{{ klass }}</code></h3>

    <div :class="klass">
      <div v-for="i in cells*3" :key="i" class="-doc-outline">Cell {{ i }}</div>
    </div>
  </template>

  <p>Also, use <code>.-grid--gap</code> to space the cells:</p>
  <div class="-grid-4 -grid--gap">
    <div v-for="i in 12" :key="i" class="-doc-outline">Cell {{ i }}</div>
  </div>
</template>

<script>
const grids = {
  // class: base cells count
  '-grid-2': 2,
  '-grid-3': 3,
  '-grid-4': 4,
  '-grid-1-2': 2,
  '-grid-1-4': 2,
  '-grid-2-1': 2,
}

export default {
  name: 'GridsView',
  data () {
    return {
      grids,
    }
  },
  created () {
    this.$setTitle('Grids')
  },
}
</script>
